​
Select Service
ves-io-schema-route-API-Get
Published April 5, 2023 | Last modified June 15, 2026
Examples of getting route
Usecase:
Get route-1
Request using vesctl:
vesctl configuration get route route-1 --namespace documentation
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: route-1 namespace: documentationreferringObjects: []resourceVersion: "2418"spec: routes: - match: - headers: [] path: regex: (.*?) queryParams: [] requestCookiesToAdd: [] requestCookiesToRemove: [] requestHeadersToAdd: [] requestHeadersToRemove: [] responseCookiesToAdd: [] responseCookiesToRemove: [] responseHeadersToAdd: [] responseHeadersToRemove: [] routeDestination: autoHostRewrite: false destinations: - cluster: - kind: cluster name: cluster-1 namespace: documentation tenant: acmecorp endpointSubsets: {} endpointSubsets: {} hashPolicy: [] wafExclusionServicePolicy: []status: []systemMetadata: creationTimestamp: "2026-04-13T02:00:16.956557Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: 22c44177-a2ea-4955-ae78-9a7bb5615750Request using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build1414723615_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/routes/route-1?response_format=0'curl response:
HTTP/1.1 200 OKContent-Type: application/jsonDate: Mon, 13 Apr 2026 02:00:16 GMTVary: Accept-EncodingX-Volterra-Response-Fields-Deprecated: create_form.spec.routes.#.route_direct_response.response_body,replace_form.spec.routes.#.route_direct_response.response_body,spec.routes.#.route_direct_response.response_body
{ "create_form": null, "replace_form": null, "resource_version": "2418", "metadata": { "name": "route-1", "namespace": "documentation", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "22c44177-a2ea-4955-ae78-9a7bb5615750", "creation_timestamp": "2026-04-13T02:00:16.956557Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "routes": [ { "match": [ { "path": { "regex": "(.*?)" }, "headers": [ ], "query_params": [ ], "http_method": "ANY", "incoming_port": null } ], "route_destination": { "destinations": [ { "cluster": [ { "kind": "cluster", "uid": "", "tenant": "acmecorp", "namespace": "documentation", "name": "cluster-1" } ], "weight": 0, "priority": 0, "endpoint_subsets": { } } ], "auto_host_rewrite": false, "timeout": 0, "retry_policy": null, "endpoint_subsets": { }, "mirror_policy": null, "web_socket_config": null, "buffer_policy": null, "cors_policy": null, "csrf_policy": null, "hash_policy": [ ], "priority": "DEFAULT", "spdy_config": null, "query_params": null }, "disable_custom_script": false, "service_policy": null, "request_headers_to_add": [ ], "response_headers_to_add": [ ], "request_headers_to_remove": [ ], "response_headers_to_remove": [ ], "request_cookies_to_add": [ ], "request_cookies_to_remove": [ ], "response_cookies_to_add": [ ], "response_cookies_to_remove": [ ], "waf_type": null, "disable_location_add": false, "skip_lb_override": false, "bot_defense_javascript_injection_inline_mode": null, "waf_exclusion_service_policy": [ ], "uuid": "" } ] }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}